Bug 612384 - Review Request: teal - Verification utility and connection library
Review Request: teal - Verification utility and connection library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2010-07-08 00:37 EDT by Shakthi Kannan
Modified: 2010-08-24 19:01 EDT (History)
7 users (show)

See Also:
Fixed In Version: teal-1_40b-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 10:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Build with $RPM_OPT_FLAGS (1.21 KB, patch)
2010-08-04 17:15 EDT, Ville Skyttä
no flags Details | Diff
Take #2, with fixed subject line (1.22 KB, patch)
2010-08-04 17:17 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Shakthi Kannan 2010-07-08 00:37:18 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/teal.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/teal-1_40b-1.fc13.src.rpm
Description: Teal is a C++ multithreaded library to verify verilog designs.
It deals with such things as simulation logging, error reporting, threading, 
memory model management. It basically provides all the low level building blocks
needed to start a verification environment.
Comment 1 Shakthi Kannan 2010-07-08 00:43:24 EDT
$ rpmlint teal.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint teal-1_40b-1.fc13.src.rpm 
teal.src: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.src: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint teal-1_40b-1.fc13.i686.rpm 
teal.i686: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.i686: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F-12, F-13, F-14, EL-5 and EL-6:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2302879
http://koji.fedoraproject.org/koji/taskinfo?taskID=2302881
http://koji.fedoraproject.org/koji/taskinfo?taskID=2302880
http://koji.fedoraproject.org/koji/taskinfo?taskID=2302891
http://koji.fedoraproject.org/koji/taskinfo?taskID=2302884

Upstream has agreed to use their software under LGPLv2+.
Comment 2 Chen Lei 2010-07-09 04:50:36 EDT
This package is a bit problematic and should be fixed in upstream before adding it to fedora.

Look the file name libteal.ivl.so - a shlib without a proper soname is useless.
Comment 3 Shakthi Kannan 2010-07-11 10:24:11 EDT
- Added patch for versioned shared library inclusion.
- Moved shared libraries to _libdir.
- Moved examples to -devel subpackage.
- Added ldconfig post, postun invocation.

SPEC: http://shakthimaan.fedorapeople.org/SPECS/teal.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/teal-1_40b-2.fc14.src.rpm
Comment 4 Shakthi Kannan 2010-07-12 00:54:58 EDT
$ rpmlint teal.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint teal-1_40b-2.fc14.i686.rpm 
teal.i686: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.i686: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint teal-devel-1_40b-2.fc14.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint teal-1_40b-2.fc14.src.rpm 
teal.src: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.src: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 5 Chitlesh GOORAH 2010-07-18 07:11:06 EDT
Shakthi,
eliminate the -devel package and move its contents to the main teal. Those so-called developement files would be used by the user. Hence no need to separate them.

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

Please fix this last item, then teal will be approved :)
Comment 6 Shakthi Kannan 2010-07-18 11:54:50 EDT
I have removed the -devel package, and moved all contents to the base package, as this package itself is a development tool.

SPEC: http://shakthimaan.fedorapeople.org/SPECS/teal.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/teal-1_40b-3.fc14.src.rpm

Koji builds are fine.

$ rpmlint teal.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint teal-1_40b-3.fc14.i686.rpm 
teal.i686: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.i686: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
teal.i686: W: devel-file-in-non-devel-package /usr/lib/libteal.ivl.so
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_vmemory.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_vout.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_dictionary.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_reg.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_vthreads.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_vrandom.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal.h
teal.i686: W: devel-file-in-non-devel-package /usr/include/teal/teal_vevents.h
1 packages and 0 specfiles checked; 0 errors, 11 warnings.

$ rpmlint teal-1_40b-3.fc14.src.rpm 
teal.src: W: spelling-error %description -l en_US multithreaded -> multitudinous, multitude, multicolored
teal.src: W: spelling-error %description -l en_US verilog -> verily, Verizon, veritably
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 7 Chitlesh GOORAH 2010-07-29 17:18:13 EDT
Approved
Comment 8 Shakthi Kannan 2010-07-29 22:31:14 EDT
New Package CVS Request
=======================
Package Name: teal
Short Description: Verification Utility and Connection Library
Owners: shakthimaan chitlesh
Branches: F-12 F-13 F-14 EL-5 EL-6
Comment 9 Shakthi Kannan 2010-07-30 02:11:43 EDT
New Package CVS Request
=======================
Package Name: teal
Short Description: Verification Utility and Connection Library
Owners: shakthimaan chitlesh
Branches: F-12 F-13 EL-5 EL-6
Comment 10 Kevin Fenzi 2010-07-30 16:26:31 EDT
GIT done (by process-cvs-requests.py).

With f14 branch added.
Comment 11 Fedora Update System 2010-08-02 00:04:32 EDT
teal-1_40b-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/teal-1_40b-3.fc13
Comment 12 Fedora Update System 2010-08-02 00:04:37 EDT
teal-1_40b-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/teal-1_40b-3.fc12
Comment 13 Fedora Update System 2010-08-02 00:04:43 EDT
teal-1_40b-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/teal-1_40b-3.el5
Comment 14 Fedora Update System 2010-08-02 00:04:48 EDT
teal-1_40b-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/teal-1_40b-3.fc14
Comment 15 Fedora Update System 2010-08-02 10:56:18 EDT
teal-1_40b-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update teal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/teal-1_40b-3.el5
Comment 16 Fedora Update System 2010-08-02 21:01:27 EDT
teal-1_40b-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-08-02 21:01:48 EDT
teal-1_40b-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-08-02 22:19:47 EDT
teal-1_40b-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Ville Skyttä 2010-08-04 17:15:23 EDT
For some reason there is no teal component in Bugzilla so I'm setting fedora-cvs to ? and reporting this bug here:

This package is not built with $RPM_OPT_FLAGS, fix attached.
Comment 20 Ville Skyttä 2010-08-04 17:15:50 EDT
Created attachment 436669 [details]
Build with $RPM_OPT_FLAGS
Comment 21 Ville Skyttä 2010-08-04 17:17:09 EDT
Created attachment 436670 [details]
Take #2, with fixed subject line
Comment 22 Fedora Update System 2010-08-04 23:11:44 EDT
teal-1_40b-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/teal-1_40b-4.el5
Comment 23 Fedora Update System 2010-08-04 23:11:53 EDT
teal-1_40b-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/teal-1_40b-4.fc13
Comment 24 Fedora Update System 2010-08-04 23:11:58 EDT
teal-1_40b-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/teal-1_40b-4.fc12
Comment 25 Fedora Update System 2010-08-04 23:12:03 EDT
teal-1_40b-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/teal-1_40b-4.fc14
Comment 26 Fedora Update System 2010-08-05 10:21:18 EDT
teal-1_40b-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Kevin Fenzi 2010-08-05 13:01:39 EDT
I don't see a scm request here. 

Can you add a template about what you need and reset the fedora-cvs flag?
Comment 28 Shakthi Kannan 2010-08-05 13:07:47 EDT
The patch has been applied and teal-1_40b-4 has been pushed to the repositories.
Comment 29 Ville Skyttä 2010-08-05 14:10:48 EDT
(In reply to comment #27)
> I don't see a scm request here. 
> 
> Can you add a template about what you need and reset the fedora-cvs flag?    

Kevin, please see comment 19.  The package is in git and packagedb, but the Bugzilla components for it for both Fedora and EPEL are missing.  In case you need the scm requests, they're in comments 8 and 9.
Comment 30 Kevin Fenzi 2010-08-05 15:05:38 EDT
ok, should be fixed now. There was a package with no short description causing problems for the sync script. ;(
Comment 31 Fedora Update System 2010-08-05 19:42:43 EDT
teal-1_40b-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2010-08-05 19:48:06 EDT
teal-1_40b-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2010-08-24 19:01:12 EDT
teal-1_40b-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.